gr::gfdm::preamble_generator Class Reference

`#include <preamble_generator.h>`

Inheritance diagram for gr::gfdm::preamble_generator:
[legend]

## Public Types

typedef boost::shared_ptr< preamble_generator > | sptr

## Public Member Functions

| preamble_generator (int nsubcarrier, double filter_alpha, int sync_fft_len)
| ~preamble_generator ()
std::vector< gr_complex > | get_preamble ()
std::vector< gr_complex > | get_symbol_seq ()
preamble_generator_sptr | base ()
int | get_preamble_len ()

## Static Public Member Functions

static sptr | make (int nsubcarrier, double filter_alpha, int sync_fft_len)

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<preamble_generator> gr::gfdm::preamble_generator::sptr

## Constructor & Destructor Documentation

## preamble_generator()

gr::gfdm::preamble_generator::preamble_generator | ( | int | nsubcarrier,
|  | double | filter_alpha,
|  | int | sync_fft_len
| ) |  |

## ~preamble_generator()

gr::gfdm::preamble_generator::~preamble_generator | ( |  | ) |

## Member Function Documentation

## base()

preamble_generator_sptr gr::gfdm::preamble_generator::base | ( |  | ) |

inline

## get_preamble()

std::vector< gr_complex > gr::gfdm::preamble_generator::get_preamble | ( |  | ) |

inline

## get_preamble_len()

int gr::gfdm::preamble_generator::get_preamble_len | ( |  | ) |

inline

## get_symbol_seq()

std::vector< gr_complex > gr::gfdm::preamble_generator::get_symbol_seq | ( |  | ) |

inline

## make()

static sptr gr::gfdm::preamble_generator::make | ( | int | nsubcarrier,
|  | double | filter_alpha,
|  | int | sync_fft_len
| ) |  |

static

The documentation for this class was generated from the following file:

- preamble_generator.h